/******************************************************************************
    Copyright (c) 1996-2000 Synopsys, Inc.    ALL RIGHTS RESERVED

  The contents of this file are subject to the restrictions and limitations
  set forth in the SYNOPSYS Open Source License Version 1.0  (the "License"); 
  you may not use this file except in compliance with such restrictions 
  and limitations. You may obtain instructions on how to receive a copy of 
  the License at

  http://www.synopsys.com/partners/tapin/tapinprogram.html. 

  Software distributed by Original Contributor under the License is 
  distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either 
  expressed or implied. See the License for the specific language governing 
  rights and limitations under the License.

******************************************************************************/
#ifndef MYMALLOC_H
#define MYMALLOC_H

#include "UMem"

#ifdef NO_MEMPOOL

#undef LIBERTY_USE_MEMPOOL	// just incase ...
#define IN_LIBERTY_POOL

#else

#define LIBERTY_USE_MEMPOOL
#define IN_LIBERTY_POOL IN_POOL(liberty_pool)
extern UMemPool* liberty_pool;

#endif

void liberty_pool_init();

void liberty_pool_free();

void *my_malloc(int size);

void my_free(void *ptr);

void *my_calloc(int size, int numels);

void *my_realloc(char *ptr, int size);

void my_malloc_print_totals(void);

#endif

